LMTEMP(4)

NAME
lmtemp - National Semiconductor LM75, LM77 and compatible hardware monitors

SYNOPSIS
lmtemp0 at iic? addr 0x48 flags 0x0000

DESCRIPTION
The lmtemp driver provides support for the National Semiconductor LM on iicbus series temperatures and register compatible chips to be used with the envsys(4) API. The lmtemp supports ranges of the temperature between +125 from -55.

Each device is specified by the value of the address and flags.
Temperature | addr | | flags
LM75 | 0x48 - 0x4f | 0x0000
DS75 | 0x48 - 0x4f | 0x0001
LM77 | 0x48 - 0x4b | 0x0002

HARDWARE
Chips supported by the lmtemp driver include:

National Semiconductor LM75

National Semiconductor LM77

Dallas Semiconductor DS75

SEE ALSO
envsys(4), envstat(8)

HISTORY
The lmtemp device appeared in NetBSD 4.0.

BUGS
Interrupt support is unimplemented.